package io.renren.modules.app.service;

import java.util.List;
import java.util.Map;

import org.springframework.web.filter.DelegatingFilterProxy;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.modules.app.entity.DhbmyjEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.ZhxxEntity;

/**
 * 维修资金分配
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
public interface WxzjfpService extends IService<ZhxxEntity> {

	// 根据开发单位和开发项目的编码列出对应的幢号信息
//	List<ZhxxEntity> selectZhxx(ZhxxEntity zhxxEntity);
	PageInfo<ZhxxEntity> queryByPagelb(Integer pageNum, Integer pageSize,ZhxxEntity zhxxEntity);
	// 
	void updateByDhbm(YwpzEntity ywpzEntity);
	
	//维修资金分配查询
	PageInfo<YwpzEntity> queryByPage(Integer pageNum, Integer pageSize,YwpzEntity ywpzEntity);
	
	//下拉框查询
	List<XlkEntity> selectxlk(Map<String, String> map);
	YwpzEntity selectdj(Map<String, String> map);
	List<DhbmyjEntity> selectdjlz(Map<String, String> map);
	
	//删除按钮
	void deletefp(Map<String, String> map);
	
	int selectsfyfw(String id);

}
